# 数据源配置
spring:
    datasource:
        dynamic:
            strict: true
            primary: base
            datasource:
              base:
                url: jdbc:mysql://121.37.194.75:30102/sanfan?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                username: root
                password: 5fWD*oa^nso@kmKa

    # redis 配置
    redis:
        # 地址
        host: 127.0.0.1
        # 端口，默认为6379
        port: 9673
        # 数据库索引
        database: 1
        # 密码
        password: ss34dsA3DdsF
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms

server:
    servlet:
        context-path: /prod-api

mail:
    # 调用邮箱服务url前缀
    urlPrefix: http://localhost:8088/mailService/
    abroadUrlPrefix:
    #abroadUrlPrefix: http://159.138.54.234:8088/mailService/

hx:
    httpUrl: http://139.159.251.109:81/prod-api/

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 240